scala.util

# MurmurHash

#### class MurmurHash[T] extends (T) ⇒ Unit

A class designed to generate well-distributed non-cryptographic hashes. It is designed to be passed to a collection's foreach method, or can take individual hash values with append. Its own hash code is set equal to the hash code of whatever it is hashing.

Annotations
  @deprecated
Deprecated

  (Since version 2.10.0) Use the object MurmurHash3 instead.

Source
  MurmurHash.scala

Linear Supertypes
(T) ⇒ Unit, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MurmurHash
2. Function1
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MurmurHash(seed: Int)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MurmurHash[T] to any2stringadd[MurmurHash[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (MurmurHash[T], B)

   Implicit information
     This member is added by an implicit conversion from MurmurHash[T] to ArrowAssoc[MurmurHash[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def andThen[A](g: (Unit) ⇒ A): (T) ⇒ A

   Composes two instances of Function1 in a new Function1, with this function applied first.

   Composes two instances of Function1 in a new Function1, with this function applied first.

   A

     the result type of function `g`

   g

     a function R => A

   returns

     a new function `f` such that `f(x) == g(apply(x))`

   Definition Classes
     Function1
   Annotations
     @unspecialized()

7. #### def append(i: Int): Unit

   Incorporate a known hash value.

8. #### def apply(t: T): Unit

   Incorporate the hash value of one item.

   Incorporate the hash value of one item.

   returns

     the result of function application.

   Definition Classes
     MurmurHash → Function1

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def compose[A](g: (A) ⇒ T): (A) ⇒ Unit

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

12. #### def ensuring(cond: (MurmurHash[T]) ⇒ Boolean, msg: ⇒ Any): MurmurHash[T]

    Implicit information
      This member is added by an implicit conversion from MurmurHash[T] to Ensuring[MurmurHash[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (MurmurHash[T]) ⇒ Boolean): MurmurHash[T]

    Implicit information
      This member is added by an implicit conversion from MurmurHash[T] to Ensuring[MurmurHash[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): MurmurHash[T]

    Implicit information
      This member is added by an implicit conversion from MurmurHash[T] to Ensuring[MurmurHash[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): MurmurHash[T]

    Implicit information
      This member is added by an implicit conversion from MurmurHash[T] to Ensuring[MurmurHash[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from MurmurHash[T] to StringFormat[MurmurHash[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hash: Int

    Retrieve the hash value

22. #### def hashCode(): Int

    Definition Classes
      MurmurHash → AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def reset(): Unit

    Begin a new hash using the same seed.

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (MurmurHash[T], B)

    Implicit information
      This member is added by an implicit conversion from MurmurHash[T] to ArrowAssoc[MurmurHash[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from (T) ⇒ Unit

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MurmurHash[T] to any2stringadd[MurmurHash[T]]

### Inherited by implicit conversion StringFormat from MurmurHash[T] to StringFormat[MurmurHash[T]]

### Inherited by implicit conversion Ensuring from MurmurHash[T] to Ensuring[MurmurHash[T]]

### Inherited by implicit conversion ArrowAssoc from MurmurHash[T] to ArrowAssoc[MurmurHash[T]]

### Ungrouped